> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://docs.solvimon.com/api-docs/configuration-api/quotes/post-quotes/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.solvimon.com/_mcp/server. # Create a quote POST https://test.api.solvimon.com/v{version}/quotes Content-Type: application/json Requires the QUOTE.CREATE permission. Reference: https://docs.solvimon.com/api-docs/configuration-api/quotes/post-quotes ## Authentication - `X-API-KEY` header (required) — API Key authentication via header - `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer `, where token is your auth token. ## Servers - `https://test.api.solvimon.com` (The TEST environment for our API, default) - `https://api.solvimon.com` (The live environment for our API) ## Request ### Path parameters - `version` (string, required, default: 1) — version ### Headers - `x-platform-id` (string, optional) — Platform ID. ### Body (application/json) This endpoint expects a QuoteCreateRequest. - `customer_id` (string, required) — The ID of the customer. - `owner_user_id` (string, required) — The ID of the user that is owning/ creating the quote. - `object_type` (string, optional, nullable) - `id` (string, optional, nullable) - `created_at` (string, optional, nullable) - `updated_at` (string, optional, nullable) - `status` (string, optional, nullable) - `customer` (CustomerCreateRequest, optional, nullable) - `description` (string, optional) — The description of the quote. - `contact_id` (string, optional) — The contact details for the quote. - `owner_user` (UserCreateRequest, optional, nullable) - `quote_version_infos` (list of QuoteVersionInfoCreateRequest, optional, nullable) - `custom_fields` (list of CustomFieldValueCreateRequest, optional, nullable) - `template_id` (string, optional, nullable) — The ID of the template used to create this quote. ## Response ### 201 Created - `object_type` (string, optional, nullable) - `id` (string, optional, nullable) - `created_at` (string, optional, nullable) - `updated_at` (string, optional, nullable) - `status` (string, optional, nullable) - `customer_id` (string, optional) — The ID of the customer. - `customer` (Customer, optional, nullable) - `description` (string, optional) — The description of the quote. - `contact_id` (string, optional) — The contact details for the quote. - `owner_user_id` (string, optional) — The ID of the user that is owning/ creating the quote. - `owner_user` (User, optional, nullable) - `quote_version_infos` (list of QuoteVersionInfo, optional, nullable) - `custom_fields` (list of CustomFieldValue, optional, nullable) - `template_id` (string, optional, nullable) — The ID of the template used to create this quote. ## Errors ### 400 Bad Request Error Bad Request - `type` (enum, required) - Allowed values: `API_ERROR`, `INVALID_REQUEST` - `code` (enum, required) - Allowed values: `RESOURCE_NOT_FOUND`, `RESOURCES_NOT_FOUND`, `UNABLE_TO_PROCESS_INSTRUCTIONS`, `BAD_REQUEST`, `UNSUPPORTED_MEDIA_TYPE`, `RESOURCE_ALREADY_EXISTS`, `CUSTOM_FIELD_VALUE_ALREADY_EXISTS`, `COULD_NOT_CREATE_RESOURCE`, `COULD_NOT_UPDATE_RESOURCE`, `COULD_NOT_DELETE_RESOURCE`, `MISSING_VERSION`, `UNSUPPORTED_VERSION`, `UNAUTHORISED`, `CUSTOMER_NOT_FOUND`, `PLATFORM_NOT_FOUND`, `PRICING_PLAN_NOT_FOUND`, `PRODUCT_NOT_FOUND`, `PRODUCT_ITEM_NOT_FOUND`, `PRICING_NOT_FOUND`, `PRICING_ITEM_NOT_FOUND`, `USER_NOT_FOUND`, `METER_NOT_FOUND`, `METER_VALUE_NOT_FOUND`, `METER_PROPERTY_NOT_FOUND`, `PRICING_ITEM_SUMMARIES_NOT_FOUND`, `MISSING_ID`, `INVALID_ID`, `MISSING_REFERENCE`, `MISSING_FIELD`, `INVALID_FIELD`, `INVALID_OPERATION`, `INTERNAL_ERROR`, `USER_NOT_ALLOWED`, `IDEMPOTENCY_CHECK_FAILED`, `INVALID_REQUEST` - `message` (string, required) - `field` (string, optional, nullable) - `resource_id` (string, optional, nullable) - `resource_type` (enum, optional, nullable) - Allowed values: `CUSTOMER`, `CUSTOM_FIELD`, `PLATFORM`, `PLATFORM_UPTODATE`, `METER`, `METER_VALUE`, `METER_PROPERTY`, `METER_VALUE_CALCULATION`, `INGEST_DATA`, `METER_DATA`, `CHARGE_DATA`, `PERSIST_DATA`, `ADJUSTMENT_DATA`, `PRODUCT_CATEGORY`, `PRODUCT`, `PRODUCT_ITEM`, `PRICING`, `PRICING_GROUP`, `PRICING_ITEM`, `PRICING_ITEM_CONFIG`, `PRICING_PLAN_SUBSCRIPTION`, `PRICING_PLAN_SUBSCRIPTION_GROUP`, `PRICING_PLAN_SCHEDULE`, `SEAT_ASSIGNMENT`, `PRICING_PLAN`, `PRICING_PLAN_VERSION`, `PRICING_PLAN_GROUP`, `QUOTE`, `QUOTE_VERSION`, `QUOTE_TEMPLATE`, `API_KEY`, `USER`, `ROLE`, `PROXY_USER`, `EXTERNAL_CREDENTIALS`, `TOKEN`, `INVOICE`, `E_INVOICE`, `PDF`, `BILLING_ENTITY`, `FEATURE`, `MEMBERSHIP`, `PAYMENT`, `PAYMENT_ACCEPTOR`, `PAYMENT_METHOD`, `PAYMENT_METHOD_OPTIONS`, `PAYMENT_SCHEDULE`, `PAYMENT_REQUEST`, `INTEGRATION`, `WEBHOOK`, `WEBHOOK_EVENT`, `FILE`, `FILE_PROCESSING_SETTINGS`, `TEAM`, `DOWNLOAD_URL`, `CSV_REPORT`, `REPORT`, `REPORT_GENERATE_REQUEST`, `REPORT_CONFIGURATION`, `REPORT_SUBSCRIPTION`, `REPORT_DEFINITION`, `ACCOUNT_GROUP`, `ENTITY`, `EVENT_TRACE`, `EVENT_TRACE_LINK`, `PRICING_CATEGORY`, `CONTACT`, `ALERT_RULE`, `ALERT`, `USAGE_LIMIT`, `AUDIT_RECORD`, `PORTAL_URL`, `AUTHENTICATION_PROVIDER`, `REPROCESS`, `APPROVAL_POLICY`, `APPROVAL_REQUEST`, `BULK_ACTION`, `COUPON`, `PROMOTION_CODE`, `WALLET`, `WALLET_TYPE`, `WALLET_GRANT`, `AUTO_TOPUP_CONFIG`, `WORKFLOW`, `WORKFLOW_TRIGGER`, `WORKFLOW_ACTION`, `WORKFLOW_ACTION_EXECUTION`, `CREDIT_TYPE`, `SIGNATURE_REQUEST`, `ATTACHMENT`, `DOCUMENT`, `EXCHANGE_RATE` ### 401 Unauthorized Error Unauthorized - `type` (enum, required) - Allowed values: `API_ERROR`, `INVALID_REQUEST` - `code` (enum, required) - Allowed values: `RESOURCE_NOT_FOUND`, `RESOURCES_NOT_FOUND`, `UNABLE_TO_PROCESS_INSTRUCTIONS`, `BAD_REQUEST`, `UNSUPPORTED_MEDIA_TYPE`, `RESOURCE_ALREADY_EXISTS`, `CUSTOM_FIELD_VALUE_ALREADY_EXISTS`, `COULD_NOT_CREATE_RESOURCE`, `COULD_NOT_UPDATE_RESOURCE`, `COULD_NOT_DELETE_RESOURCE`, `MISSING_VERSION`, `UNSUPPORTED_VERSION`, `UNAUTHORISED`, `CUSTOMER_NOT_FOUND`, `PLATFORM_NOT_FOUND`, `PRICING_PLAN_NOT_FOUND`, `PRODUCT_NOT_FOUND`, `PRODUCT_ITEM_NOT_FOUND`, `PRICING_NOT_FOUND`, `PRICING_ITEM_NOT_FOUND`, `USER_NOT_FOUND`, `METER_NOT_FOUND`, `METER_VALUE_NOT_FOUND`, `METER_PROPERTY_NOT_FOUND`, `PRICING_ITEM_SUMMARIES_NOT_FOUND`, `MISSING_ID`, `INVALID_ID`, `MISSING_REFERENCE`, `MISSING_FIELD`, `INVALID_FIELD`, `INVALID_OPERATION`, `INTERNAL_ERROR`, `USER_NOT_ALLOWED`, `IDEMPOTENCY_CHECK_FAILED`, `INVALID_REQUEST` - `message` (string, required) - `field` (string, optional, nullable) - `resource_id` (string, optional, nullable) - `resource_type` (enum, optional, nullable) - Allowed values: `CUSTOMER`, `CUSTOM_FIELD`, `PLATFORM`, `PLATFORM_UPTODATE`, `METER`, `METER_VALUE`, `METER_PROPERTY`, `METER_VALUE_CALCULATION`, `INGEST_DATA`, `METER_DATA`, `CHARGE_DATA`, `PERSIST_DATA`, `ADJUSTMENT_DATA`, `PRODUCT_CATEGORY`, `PRODUCT`, `PRODUCT_ITEM`, `PRICING`, `PRICING_GROUP`, `PRICING_ITEM`, `PRICING_ITEM_CONFIG`, `PRICING_PLAN_SUBSCRIPTION`, `PRICING_PLAN_SUBSCRIPTION_GROUP`, `PRICING_PLAN_SCHEDULE`, `SEAT_ASSIGNMENT`, `PRICING_PLAN`, `PRICING_PLAN_VERSION`, `PRICING_PLAN_GROUP`, `QUOTE`, `QUOTE_VERSION`, `QUOTE_TEMPLATE`, `API_KEY`, `USER`, `ROLE`, `PROXY_USER`, `EXTERNAL_CREDENTIALS`, `TOKEN`, `INVOICE`, `E_INVOICE`, `PDF`, `BILLING_ENTITY`, `FEATURE`, `MEMBERSHIP`, `PAYMENT`, `PAYMENT_ACCEPTOR`, `PAYMENT_METHOD`, `PAYMENT_METHOD_OPTIONS`, `PAYMENT_SCHEDULE`, `PAYMENT_REQUEST`, `INTEGRATION`, `WEBHOOK`, `WEBHOOK_EVENT`, `FILE`, `FILE_PROCESSING_SETTINGS`, `TEAM`, `DOWNLOAD_URL`, `CSV_REPORT`, `REPORT`, `REPORT_GENERATE_REQUEST`, `REPORT_CONFIGURATION`, `REPORT_SUBSCRIPTION`, `REPORT_DEFINITION`, `ACCOUNT_GROUP`, `ENTITY`, `EVENT_TRACE`, `EVENT_TRACE_LINK`, `PRICING_CATEGORY`, `CONTACT`, `ALERT_RULE`, `ALERT`, `USAGE_LIMIT`, `AUDIT_RECORD`, `PORTAL_URL`, `AUTHENTICATION_PROVIDER`, `REPROCESS`, `APPROVAL_POLICY`, `APPROVAL_REQUEST`, `BULK_ACTION`, `COUPON`, `PROMOTION_CODE`, `WALLET`, `WALLET_TYPE`, `WALLET_GRANT`, `AUTO_TOPUP_CONFIG`, `WORKFLOW`, `WORKFLOW_TRIGGER`, `WORKFLOW_ACTION`, `WORKFLOW_ACTION_EXECUTION`, `CREDIT_TYPE`, `SIGNATURE_REQUEST`, `ATTACHMENT`, `DOCUMENT`, `EXCHANGE_RATE` ### 403 Forbidden Error Forbidden - `type` (enum, required) - Allowed values: `API_ERROR`, `INVALID_REQUEST` - `code` (enum, required) - Allowed values: `RESOURCE_NOT_FOUND`, `RESOURCES_NOT_FOUND`, `UNABLE_TO_PROCESS_INSTRUCTIONS`, `BAD_REQUEST`, `UNSUPPORTED_MEDIA_TYPE`, `RESOURCE_ALREADY_EXISTS`, `CUSTOM_FIELD_VALUE_ALREADY_EXISTS`, `COULD_NOT_CREATE_RESOURCE`, `COULD_NOT_UPDATE_RESOURCE`, `COULD_NOT_DELETE_RESOURCE`, `MISSING_VERSION`, `UNSUPPORTED_VERSION`, `UNAUTHORISED`, `CUSTOMER_NOT_FOUND`, `PLATFORM_NOT_FOUND`, `PRICING_PLAN_NOT_FOUND`, `PRODUCT_NOT_FOUND`, `PRODUCT_ITEM_NOT_FOUND`, `PRICING_NOT_FOUND`, `PRICING_ITEM_NOT_FOUND`, `USER_NOT_FOUND`, `METER_NOT_FOUND`, `METER_VALUE_NOT_FOUND`, `METER_PROPERTY_NOT_FOUND`, `PRICING_ITEM_SUMMARIES_NOT_FOUND`, `MISSING_ID`, `INVALID_ID`, `MISSING_REFERENCE`, `MISSING_FIELD`, `INVALID_FIELD`, `INVALID_OPERATION`, `INTERNAL_ERROR`, `USER_NOT_ALLOWED`, `IDEMPOTENCY_CHECK_FAILED`, `INVALID_REQUEST` - `message` (string, required) - `field` (string, optional, nullable) - `resource_id` (string, optional, nullable) - `resource_type` (enum, optional, nullable) - Allowed values: `CUSTOMER`, `CUSTOM_FIELD`, `PLATFORM`, `PLATFORM_UPTODATE`, `METER`, `METER_VALUE`, `METER_PROPERTY`, `METER_VALUE_CALCULATION`, `INGEST_DATA`, `METER_DATA`, `CHARGE_DATA`, `PERSIST_DATA`, `ADJUSTMENT_DATA`, `PRODUCT_CATEGORY`, `PRODUCT`, `PRODUCT_ITEM`, `PRICING`, `PRICING_GROUP`, `PRICING_ITEM`, `PRICING_ITEM_CONFIG`, `PRICING_PLAN_SUBSCRIPTION`, `PRICING_PLAN_SUBSCRIPTION_GROUP`, `PRICING_PLAN_SCHEDULE`, `SEAT_ASSIGNMENT`, `PRICING_PLAN`, `PRICING_PLAN_VERSION`, `PRICING_PLAN_GROUP`, `QUOTE`, `QUOTE_VERSION`, `QUOTE_TEMPLATE`, `API_KEY`, `USER`, `ROLE`, `PROXY_USER`, `EXTERNAL_CREDENTIALS`, `TOKEN`, `INVOICE`, `E_INVOICE`, `PDF`, `BILLING_ENTITY`, `FEATURE`, `MEMBERSHIP`, `PAYMENT`, `PAYMENT_ACCEPTOR`, `PAYMENT_METHOD`, `PAYMENT_METHOD_OPTIONS`, `PAYMENT_SCHEDULE`, `PAYMENT_REQUEST`, `INTEGRATION`, `WEBHOOK`, `WEBHOOK_EVENT`, `FILE`, `FILE_PROCESSING_SETTINGS`, `TEAM`, `DOWNLOAD_URL`, `CSV_REPORT`, `REPORT`, `REPORT_GENERATE_REQUEST`, `REPORT_CONFIGURATION`, `REPORT_SUBSCRIPTION`, `REPORT_DEFINITION`, `ACCOUNT_GROUP`, `ENTITY`, `EVENT_TRACE`, `EVENT_TRACE_LINK`, `PRICING_CATEGORY`, `CONTACT`, `ALERT_RULE`, `ALERT`, `USAGE_LIMIT`, `AUDIT_RECORD`, `PORTAL_URL`, `AUTHENTICATION_PROVIDER`, `REPROCESS`, `APPROVAL_POLICY`, `APPROVAL_REQUEST`, `BULK_ACTION`, `COUPON`, `PROMOTION_CODE`, `WALLET`, `WALLET_TYPE`, `WALLET_GRANT`, `AUTO_TOPUP_CONFIG`, `WORKFLOW`, `WORKFLOW_TRIGGER`, `WORKFLOW_ACTION`, `WORKFLOW_ACTION_EXECUTION`, `CREDIT_TYPE`, `SIGNATURE_REQUEST`, `ATTACHMENT`, `DOCUMENT`, `EXCHANGE_RATE` ### 404 Not Found Error Not Found - `type` (enum, required) - Allowed values: `API_ERROR`, `INVALID_REQUEST` - `code` (enum, required) - Allowed values: `RESOURCE_NOT_FOUND`, `RESOURCES_NOT_FOUND`, `UNABLE_TO_PROCESS_INSTRUCTIONS`, `BAD_REQUEST`, `UNSUPPORTED_MEDIA_TYPE`, `RESOURCE_ALREADY_EXISTS`, `CUSTOM_FIELD_VALUE_ALREADY_EXISTS`, `COULD_NOT_CREATE_RESOURCE`, `COULD_NOT_UPDATE_RESOURCE`, `COULD_NOT_DELETE_RESOURCE`, `MISSING_VERSION`, `UNSUPPORTED_VERSION`, `UNAUTHORISED`, `CUSTOMER_NOT_FOUND`, `PLATFORM_NOT_FOUND`, `PRICING_PLAN_NOT_FOUND`, `PRODUCT_NOT_FOUND`, `PRODUCT_ITEM_NOT_FOUND`, `PRICING_NOT_FOUND`, `PRICING_ITEM_NOT_FOUND`, `USER_NOT_FOUND`, `METER_NOT_FOUND`, `METER_VALUE_NOT_FOUND`, `METER_PROPERTY_NOT_FOUND`, `PRICING_ITEM_SUMMARIES_NOT_FOUND`, `MISSING_ID`, `INVALID_ID`, `MISSING_REFERENCE`, `MISSING_FIELD`, `INVALID_FIELD`, `INVALID_OPERATION`, `INTERNAL_ERROR`, `USER_NOT_ALLOWED`, `IDEMPOTENCY_CHECK_FAILED`, `INVALID_REQUEST` - `message` (string, required) - `field` (string, optional, nullable) - `resource_id` (string, optional, nullable) - `resource_type` (enum, optional, nullable) - Allowed values: `CUSTOMER`, `CUSTOM_FIELD`, `PLATFORM`, `PLATFORM_UPTODATE`, `METER`, `METER_VALUE`, `METER_PROPERTY`, `METER_VALUE_CALCULATION`, `INGEST_DATA`, `METER_DATA`, `CHARGE_DATA`, `PERSIST_DATA`, `ADJUSTMENT_DATA`, `PRODUCT_CATEGORY`, `PRODUCT`, `PRODUCT_ITEM`, `PRICING`, `PRICING_GROUP`, `PRICING_ITEM`, `PRICING_ITEM_CONFIG`, `PRICING_PLAN_SUBSCRIPTION`, `PRICING_PLAN_SUBSCRIPTION_GROUP`, `PRICING_PLAN_SCHEDULE`, `SEAT_ASSIGNMENT`, `PRICING_PLAN`, `PRICING_PLAN_VERSION`, `PRICING_PLAN_GROUP`, `QUOTE`, `QUOTE_VERSION`, `QUOTE_TEMPLATE`, `API_KEY`, `USER`, `ROLE`, `PROXY_USER`, `EXTERNAL_CREDENTIALS`, `TOKEN`, `INVOICE`, `E_INVOICE`, `PDF`, `BILLING_ENTITY`, `FEATURE`, `MEMBERSHIP`, `PAYMENT`, `PAYMENT_ACCEPTOR`, `PAYMENT_METHOD`, `PAYMENT_METHOD_OPTIONS`, `PAYMENT_SCHEDULE`, `PAYMENT_REQUEST`, `INTEGRATION`, `WEBHOOK`, `WEBHOOK_EVENT`, `FILE`, `FILE_PROCESSING_SETTINGS`, `TEAM`, `DOWNLOAD_URL`, `CSV_REPORT`, `REPORT`, `REPORT_GENERATE_REQUEST`, `REPORT_CONFIGURATION`, `REPORT_SUBSCRIPTION`, `REPORT_DEFINITION`, `ACCOUNT_GROUP`, `ENTITY`, `EVENT_TRACE`, `EVENT_TRACE_LINK`, `PRICING_CATEGORY`, `CONTACT`, `ALERT_RULE`, `ALERT`, `USAGE_LIMIT`, `AUDIT_RECORD`, `PORTAL_URL`, `AUTHENTICATION_PROVIDER`, `REPROCESS`, `APPROVAL_POLICY`, `APPROVAL_REQUEST`, `BULK_ACTION`, `COUPON`, `PROMOTION_CODE`, `WALLET`, `WALLET_TYPE`, `WALLET_GRANT`, `AUTO_TOPUP_CONFIG`, `WORKFLOW`, `WORKFLOW_TRIGGER`, `WORKFLOW_ACTION`, `WORKFLOW_ACTION_EXECUTION`, `CREDIT_TYPE`, `SIGNATURE_REQUEST`, `ATTACHMENT`, `DOCUMENT`, `EXCHANGE_RATE` ### 500 Internal Server Error Internal Server Error - `type` (enum, required) - Allowed values: `API_ERROR`, `INVALID_REQUEST` - `code` (enum, required) - Allowed values: `RESOURCE_NOT_FOUND`, `RESOURCES_NOT_FOUND`, `UNABLE_TO_PROCESS_INSTRUCTIONS`, `BAD_REQUEST`, `UNSUPPORTED_MEDIA_TYPE`, `RESOURCE_ALREADY_EXISTS`, `CUSTOM_FIELD_VALUE_ALREADY_EXISTS`, `COULD_NOT_CREATE_RESOURCE`, `COULD_NOT_UPDATE_RESOURCE`, `COULD_NOT_DELETE_RESOURCE`, `MISSING_VERSION`, `UNSUPPORTED_VERSION`, `UNAUTHORISED`, `CUSTOMER_NOT_FOUND`, `PLATFORM_NOT_FOUND`, `PRICING_PLAN_NOT_FOUND`, `PRODUCT_NOT_FOUND`, `PRODUCT_ITEM_NOT_FOUND`, `PRICING_NOT_FOUND`, `PRICING_ITEM_NOT_FOUND`, `USER_NOT_FOUND`, `METER_NOT_FOUND`, `METER_VALUE_NOT_FOUND`, `METER_PROPERTY_NOT_FOUND`, `PRICING_ITEM_SUMMARIES_NOT_FOUND`, `MISSING_ID`, `INVALID_ID`, `MISSING_REFERENCE`, `MISSING_FIELD`, `INVALID_FIELD`, `INVALID_OPERATION`, `INTERNAL_ERROR`, `USER_NOT_ALLOWED`, `IDEMPOTENCY_CHECK_FAILED`, `INVALID_REQUEST` - `message` (string, required) - `field` (string, optional, nullable) - `resource_id` (string, optional, nullable) - `resource_type` (enum, optional, nullable) - Allowed values: `CUSTOMER`, `CUSTOM_FIELD`, `PLATFORM`, `PLATFORM_UPTODATE`, `METER`, `METER_VALUE`, `METER_PROPERTY`, `METER_VALUE_CALCULATION`, `INGEST_DATA`, `METER_DATA`, `CHARGE_DATA`, `PERSIST_DATA`, `ADJUSTMENT_DATA`, `PRODUCT_CATEGORY`, `PRODUCT`, `PRODUCT_ITEM`, `PRICING`, `PRICING_GROUP`, `PRICING_ITEM`, `PRICING_ITEM_CONFIG`, `PRICING_PLAN_SUBSCRIPTION`, `PRICING_PLAN_SUBSCRIPTION_GROUP`, `PRICING_PLAN_SCHEDULE`, `SEAT_ASSIGNMENT`, `PRICING_PLAN`, `PRICING_PLAN_VERSION`, `PRICING_PLAN_GROUP`, `QUOTE`, `QUOTE_VERSION`, `QUOTE_TEMPLATE`, `API_KEY`, `USER`, `ROLE`, `PROXY_USER`, `EXTERNAL_CREDENTIALS`, `TOKEN`, `INVOICE`, `E_INVOICE`, `PDF`, `BILLING_ENTITY`, `FEATURE`, `MEMBERSHIP`, `PAYMENT`, `PAYMENT_ACCEPTOR`, `PAYMENT_METHOD`, `PAYMENT_METHOD_OPTIONS`, `PAYMENT_SCHEDULE`, `PAYMENT_REQUEST`, `INTEGRATION`, `WEBHOOK`, `WEBHOOK_EVENT`, `FILE`, `FILE_PROCESSING_SETTINGS`, `TEAM`, `DOWNLOAD_URL`, `CSV_REPORT`, `REPORT`, `REPORT_GENERATE_REQUEST`, `REPORT_CONFIGURATION`, `REPORT_SUBSCRIPTION`, `REPORT_DEFINITION`, `ACCOUNT_GROUP`, `ENTITY`, `EVENT_TRACE`, `EVENT_TRACE_LINK`, `PRICING_CATEGORY`, `CONTACT`, `ALERT_RULE`, `ALERT`, `USAGE_LIMIT`, `AUDIT_RECORD`, `PORTAL_URL`, `AUTHENTICATION_PROVIDER`, `REPROCESS`, `APPROVAL_POLICY`, `APPROVAL_REQUEST`, `BULK_ACTION`, `COUPON`, `PROMOTION_CODE`, `WALLET`, `WALLET_TYPE`, `WALLET_GRANT`, `AUTO_TOPUP_CONFIG`, `WORKFLOW`, `WORKFLOW_TRIGGER`, `WORKFLOW_ACTION`, `WORKFLOW_ACTION_EXECUTION`, `CREDIT_TYPE`, `SIGNATURE_REQUEST`, `ATTACHMENT`, `DOCUMENT`, `EXCHANGE_RATE` ## Types ### CustomerCreateRequest - `type` (enum, required) — The type of customer entity. - Allowed values: `ORGANIZATION`, `INDIVIDUAL` - `object_type` (string, optional, nullable) - `id` (string, optional, nullable) - `created_at` (string, optional, nullable) - `parent_customer_id` (string, optional, nullable) — The parent of the customer. Only returned when there is a single parent. - `parent_customer_ids` (list of string, optional, nullable) — A list of parents of the customer. Will also be returned if there is a single parent. - `reference` (string, optional) — A custom reference assigned to the customer. - `status` (enum, optional, nullable) - Allowed values: `DRAFT`, `ACTIVE`, `ARCHIVED`, `DEPRECATED`, `CLOSED` - `timezone` (string, optional, nullable) - `email` (string, optional, nullable) — The email of the customer. - `notification_preferences` (list of NotificationPreferenceCreateRequest, optional, nullable) — Notification preferences for customer-related communications. - `locale` (string, optional, nullable) — The locale of the customer. Format is language-country (like en-US). - `individual` (IndividualCreateRequest, optional) — Additional description of the individual customer type. - `organization` (OrganizationCreateRequest, optional) — Additional description of the organization customer type. - `custom_fields` (list of CustomFieldValueCreateRequest, optional, nullable) - `pricing_plan_subscription_selector` (PricingPlanSubscriptionSelectorCreateRequest, optional) — Settings to influence dynamically the subscription to use for the ingest data. - `linked_integrations` (list of LinkedIntegrationCreateRequest, optional, nullable) - `roles` (list of enum, optional, nullable) - Allowed values: `DEFAULT`, `NON_PROCESSING`, `SELF_BILLING`, `SELLER`, `PROCESSING_ONLY` - `seller_details` (CustomerSellerDetailsCreateRequest, optional) - `processing_only` (boolean, optional, nullable, deprecated) ### UserCreateRequest - `object_type` (string, optional, nullable) - `id` (string, optional, nullable) — The id of the user - `entity_id` (string, optional, nullable) — The entity id of the entity that this user belongs to - `created_at` (string, optional, nullable) — The date when this user was created - `status` (enum, optional, nullable) — Indicates whether the user is active - Allowed values: `INVITED`, `INVITE_REVOKED`, `ACTIVE`, `INACTIVE` - `username` (string, optional) — The email of the user - `password` (string, optional, nullable) — The password of the user. Should have a minimum of 8 characters, of which one is a number and one is a capital letter - `invite_expired` (boolean, optional, nullable) — Indicates whether the invite sent to the user is expired - `active` (boolean, optional, nullable, deprecated) — Indicates whether the user is active - `account_memberships` (list of AccountMembershipRepresentation, optional, nullable, deprecated) — The account memberships that this user has - `team_memberships` (list of TeamMemberRepresentation, optional, nullable, deprecated) — The team memberships that this user has ### QuoteVersionInfoCreateRequest - `version` (integer, optional, nullable) - `id` (string, optional, nullable) - `status` (string, optional, nullable) - `pricing_plan_subscription_id` (string, optional, nullable) ### CustomFieldValueCreateRequest - `id` (string, optional, nullable) — Resource ID of type CUSTOM_FIELD - `reference` (string, optional, nullable) - `value` (string, optional, nullable) - `values` (list of string, optional, nullable) - `integration_details` (IntegrationDetails, optional, nullable) - `integration_id` (string, optional) — The resource ID of the integration linked to the custom field ### Customer - `object_type` (string, optional, nullable) - `id` (string, optional, nullable) - `created_at` (string, optional, nullable) - `parent_customer_id` (string, optional, nullable) — The parent of the customer. Only returned when there is a single parent. - `parent_customer_ids` (list of string, optional, nullable) — A list of parents of the customer. Will also be returned if there is a single parent. - `reference` (string, optional) — A custom reference assigned to the customer. - `status` (enum, optional, nullable) - Allowed values: `DRAFT`, `ACTIVE`, `ARCHIVED`, `DEPRECATED`, `CLOSED` - `timezone` (string, optional, nullable) - `type` (enum, optional) — The type of customer entity. - Allowed values: `ORGANIZATION`, `INDIVIDUAL` - `email` (string, optional, nullable) — The email of the customer. - `notification_preferences` (list of NotificationPreference, optional, nullable) — Notification preferences for customer-related communications. - `locale` (string, optional, nullable) — The locale of the customer. Format is language-country (like en-US). - `individual` (Individual, optional) — Additional description of the individual customer type. - `organization` (Organization, optional) — Additional description of the organization customer type. - `custom_fields` (list of CustomFieldValue, optional, nullable) - `pricing_plan_subscription_selector` (PricingPlanSubscriptionSelector, optional) — Settings to influence dynamically the subscription to use for the ingest data. - `linked_integrations` (list of LinkedIntegration, optional, nullable) - `roles` (list of enum, optional, nullable) - Allowed values: `DEFAULT`, `NON_PROCESSING`, `SELF_BILLING`, `SELLER`, `PROCESSING_ONLY` - `seller_details` (CustomerSellerDetails, optional) - `processing_only` (boolean, optional, nullable, deprecated) ### User - `object_type` (string, optional, nullable) - `id` (string, optional, nullable) — The id of the user - `entity_id` (string, optional, nullable) — The entity id of the entity that this user belongs to - `created_at` (string, optional, nullable) — The date when this user was created - `status` (enum, optional, nullable) — Indicates whether the user is active - Allowed values: `INVITED`, `INVITE_REVOKED`, `ACTIVE`, `INACTIVE` - `username` (string, optional) — The email of the user - `password` (string, optional, nullable) — The password of the user. Should have a minimum of 8 characters, of which one is a number and one is a capital letter - `invite_expired` (boolean, optional, nullable) — Indicates whether the invite sent to the user is expired - `active` (boolean, optional, nullable, deprecated) — Indicates whether the user is active - `account_memberships` (list of AccountMembershipRepresentation, optional, nullable, deprecated) — The account memberships that this user has - `team_memberships` (list of TeamMemberRepresentation, optional, nullable, deprecated) — The team memberships that this user has ### QuoteVersionInfo - `version` (integer, optional, nullable) - `id` (string, optional, nullable) - `status` (string, optional, nullable) - `pricing_plan_subscription_id` (string, optional, nullable) ### CustomFieldValue - `id` (string, optional, nullable) — Resource ID of type CUSTOM_FIELD - `reference` (string, optional, nullable) - `value` (string, optional, nullable) - `values` (list of string, optional, nullable) - `integration_details` (IntegrationDetails, optional, nullable) - `integration_id` (string, optional) — The resource ID of the integration linked to the custom field ### NotificationPreferenceCreateRequest - `type` (enum, optional) — The notification type to configure. - Allowed values: `INVOICE` - `channels` (list of NotificationChannel, optional, nullable) — The channels for this notification type. ### IndividualCreateRequest - `name` (Name, optional) - `residential_address` (Address, optional) ### OrganizationCreateRequest - `legal_name` (string, optional) - `tax_id` (string, optional, nullable) — Tax Id used for tax purposes of the organization - `tax_ids` (list of TaxId, optional, nullable) — Tax Ids used for tax purposes of the organization - `registration_number` (string, optional, nullable) - `tax_exempt` (boolean, optional, nullable) - `tax_exempt_note` (string, optional, nullable) - `registered_address` (Address, optional) - `tax_registrations` (list of TaxRegistration, optional, nullable) — Extra tax registrations for the customer ### PricingPlanSubscriptionSelectorCreateRequest - `data` (list of PricingPlanSubscriptionSelectorData, optional, nullable) - `rules` (list of PricingPlanSubscriptionSelectorRule, optional, nullable) - `filters` (list of PricingPlanSubscriptionSelectorFilter, optional, nullable) - `fallback` (enum, optional, nullable) — The fallback logic what to do when no subscription is found. By default it is LATEST - Allowed values: `LATEST`, `NONE` ### LinkedIntegrationCreateRequest - `id` (string, optional) - `link_details` (list of LinkDetail, optional) ### CustomerSellerDetailsCreateRequest - `default_billing_entity_id` (string, optional, nullable) — Resource ID of type BILLING_ENTITY ### AccountMembershipRepresentation - `object_type` (string, optional, nullable) - `id` (string, optional, nullable) — The id of this account membership - `account_id` (string, optional) — The id of the account that this membership is for - `account` (AccountRepresentation, optional, nullable) — The account that this membership is for - `type` (enum, optional) — The type of this membership - Allowed values: `ADMIN`, `USER`, `PARTNER` - `role_ids` (list of string, optional) — The roles assigned through this membership - `account_reference` (string, optional, nullable, deprecated) — The reference of the account that this membership is for - `environment` (string, optional, nullable, deprecated) — The environment that this membership is for - `roles` (list of Role, optional, nullable, deprecated) — The roles that belong to this membership ### TeamMemberRepresentation - `team_id` (string, optional, nullable) — The id of this team membership - `start_at` (datetime, optional, nullable) — The start date from when this membership is valid - `end_at` (datetime, optional, nullable) — The end date till which this membership is valid - `account_memberships` (list of AccountMembershipRepresentation, optional, nullable, deprecated) ### IntegrationDetails - `id` (string, optional, nullable) - `reference` (string, optional, nullable) - `payment_gateway_variant` (enum, optional) - Allowed values: `ADYEN`, `STRIPE` - `adyen` (AdyenIntegrationDetails, optional) - `stripe` (StripeIntegrationDetails, optional) ### NotificationPreference - `type` (enum, optional) — The notification type to configure. - Allowed values: `INVOICE` - `channels` (list of NotificationChannel, optional, nullable) — The channels for this notification type. ### Individual - `name` (Name, optional) - `residential_address` (Address, optional) ### Organization - `legal_name` (string, optional) - `tax_id` (string, optional, nullable) — Tax Id used for tax purposes of the organization - `tax_ids` (list of TaxId, optional, nullable) — Tax Ids used for tax purposes of the organization - `registration_number` (string, optional, nullable) - `tax_exempt` (boolean, optional, nullable) - `tax_exempt_note` (string, optional, nullable) - `registered_address` (Address, optional) - `tax_registrations` (list of TaxRegistration, optional, nullable) — Extra tax registrations for the customer ### PricingPlanSubscriptionSelector - `data` (list of PricingPlanSubscriptionSelectorData, optional, nullable) - `rules` (list of PricingPlanSubscriptionSelectorRule, optional, nullable) - `filters` (list of PricingPlanSubscriptionSelectorFilter, optional, nullable) - `fallback` (enum, optional, nullable) — The fallback logic what to do when no subscription is found. By default it is LATEST - Allowed values: `LATEST`, `NONE` ### LinkedIntegration - `id` (string, optional) - `link_details` (list of LinkDetail, optional) ### CustomerSellerDetails - `default_billing_entity_id` (string, optional, nullable) — Resource ID of type BILLING_ENTITY ### NotificationChannel - `type` (enum, optional) — The channel type to use. - Allowed values: `EMAIL` - `enabled` (boolean, optional, nullable) — Whether the channel is enabled for the notification type. ### Name - `first_name` (string, optional, nullable) - `last_name` (string, optional, nullable) - `infix` (string, optional, nullable) ### Address - `line1` (string, optional, nullable) - `line2` (string, optional, nullable) - `city` (string, optional, nullable) - `postal_code` (string, optional, nullable) - `state` (string, optional, nullable) - `country` (enum, optional, nullable) - Allowed values: `AD`, `AE`, `AF`, `AG`, `AI`, `AL`, `AM`, `AO`, `AQ`, `AR`, `AS`, `AT`, `AU`, `AW`, `AX`, `AZ`, `BA`, `BB`, `BD`, `BE`, `BF`, `BG`, `BH`, `BI`, `BJ`, `BL`, `BM`, `BN`, `BO`, `BQ`, `BR`, `BS`, `BT`, `BV`, `BW`, `BY`, `BZ`, `CA`, `CC`, `CD`, `CF`, `CG`, `CH`, `CI`, `CK`, `CL`, `CM`, `CN`, `CO`, `CR`, `CU`, `CV`, `CW`, `CX`, `CY`, `CZ`, `DE`, `DJ`, `DK`, `DM`, `DO`, `DZ`, `EC`, `EE`, `EG`, `EH`, `ER`, `ES`, `ET`, `FI`, `FJ`, `FK`, `FM`, `FO`, `FR`, `GA`, `GB`, `GD`, `GE`, `GF`, `GG`, `GH`, `GI`, `GL`, `GM`, `GN`, `GP`, `GQ`, `GR`, `GS`, `GT`, `GU`, `GW`, `GY`, `HK`, `HM`, `HN`, `HR`, `HT`, `HU`, `ID`, `IE`, `IL`, `IM`, `IN`, `IO`, `IQ`, `IR`, `IS`, `IT`, `JE`, `JM`, `JO`, `JP`, `KE`, `KG`, `KH`, `KI`, `KM`, `KN`, `KP`, `KR`, `KW`, `KY`, `KZ`, `LA`, `LB`, `LC`, `LI`, `LK`, `LR`, `LS`, `LT`, `LU`, `LV`, `LY`, `MA`, `MC`, `MD`, `ME`, `MF`, `MG`, `MH`, `MK`, `ML`, `MM`, `MN`, `MO`, `MP`, `MQ`, `MR`, `MS`, `MT`, `MU`, `MV`, `MW`, `MX`, `MY`, `MZ`, `NA`, `NC`, `NE`, `NF`, `NG`, `NI`, `NL`, `NO`, `NP`, `NR`, `NU`, `NZ`, `OM`, `PA`, `PE`, `PF`, `PG`, `PH`, `PK`, `PL`, `PM`, `PN`, `PR`, `PS`, `PT`, `PW`, `PY`, `QA`, `RE`, `RO`, `RS`, `RU`, `RW`, `SA`, `SB`, `SC`, `SD`, `SE`, `SG`, `SH`, `SI`, `SJ`, `SK`, `SL`, `SM`, `SN`, `SO`, `SR`, `SS`, `ST`, `SV`, `SX`, `SY`, `SZ`, `TC`, `TD`, `TF`, `TG`, `TH`, `TJ`, `TK`, `TL`, `TM`, `TN`, `TO`, `TR`, `TT`, `TV`, `TW`, `TZ`, `UA`, `UG`, `US`, `UY`, `UZ`, `VA`, `VC`, `VE`, `VG`, `VI`, `VN`, `VU`, `WF`, `WS`, `YE`, `YT`, `ZA`, `ZM`, `ZW` ### TaxId - `id` (string, optional) - `type` (enum, optional, nullable) — Optional tax id type, indicates which type of tax the number is for - Allowed values: `GENERIC_TAX_ID`, `AU_GST`, `CA_GST_HST`, `CA_PST`, `CA_PST_BC`, `CA_PST_MB`, `CA_PST_SK`, `CA_QST` - `display_name` (string, optional, nullable) — User-friendly display name - `tax_id_validation_result` (TaxIdValidation, optional) ### TaxRegistration - `id` (string, optional, nullable) — The id of this tax registration - `description` (string, optional, nullable) — The description of this tax registration - `tax_id` (string, optional, nullable) — The tax id of this tax registration, e.g. a TIN, VAT id or other tax number - `tax_ids` (list of TaxId, optional, nullable) — Tax IDs used for tax purposes of the tax registration, e.g. TINs, VAT ids, or other tax number - `registration_number` (string, optional, nullable) — The registration number of this tax registration, e.g. a company registration number - `registered_address` (Address, optional) — The address of this tax registration, if different from the billing entity. Currently, only the address will be used for tax calculations ### PricingPlanSubscriptionSelectorData - `field` (enum, optional) - Allowed values: `BILLING_ENTITY_REGISTERED_ADDRESS_COUNTRY`, `PRICING_PLAN_REFERENCE` - `value` (string, optional) ### PricingPlanSubscriptionSelectorRule - `field` (enum, optional) - Allowed values: `BILLING_ENTITY_REGISTERED_ADDRESS_COUNTRY`, `PRICING_PLAN_REFERENCE` - `type` (enum, optional) - Allowed values: `EQUALS`, `NOT_EQUALS`, `IN`, `NOT_IN`, `GREATER_THAN`, `GREATER_THAN_OR_EQUALS`, `LESS_THAN`, `LESS_THAN_OR_EQUALS`, `EMPTY`, `NOT_EMPTY`, `CONTAINS`, `NOT_CONTAINS` ### PricingPlanSubscriptionSelectorFilter - `field` (enum, optional) - Allowed values: `BILLING_ENTITY_REGISTERED_ADDRESS_COUNTRY`, `PRICING_PLAN_REFERENCE` - `type` (enum, optional) - Allowed values: `EQUALS`, `NOT_EQUALS`, `IN`, `NOT_IN`, `GREATER_THAN`, `GREATER_THAN_OR_EQUALS`, `LESS_THAN`, `LESS_THAN_OR_EQUALS`, `EMPTY`, `NOT_EMPTY`, `CONTAINS`, `NOT_CONTAINS` - `value` (string, optional) ### LinkDetail - `url` (string, optional, nullable) - `custom_field_name` (string, optional, nullable) ### AccountRepresentation - `id` (string, optional) — The id of the account - `reference` (string, optional) — The reference of the account - `account_type_code` (string, optional) — The type code of the account - `environment` (string, optional) — The environment of this account - `account_group_id` (string, optional) — The id of the account group that this account is associated with - `parent_id` (string, optional, nullable) — The id of the parent account of this account - `platform_id` (string, optional, nullable) — The id of the platform that this account belongs to ### Role - `object_type` (string, optional, nullable) - `id` (string, optional, nullable) — Unique identifier for the role - `name` (string, optional) — The name of the role - `description` (string, optional) — The description of the role - `entity_id` (string, optional, nullable) — When present the role is created for/by this entity - `child_role_ids` (list of string, optional) — Child roles for this role - `child_roles` (list of RoleChildRolesItems, optional, nullable, deprecated) — Child roles, with a max depth of 2 ### AdyenIntegrationDetails - `recurring_detail_reference` (string, optional) ### StripeIntegrationDetails - `payment_method_id` (string, optional) ### TaxIdValidation - `id` (string, optional) - `validation_date` (string, optional) - `source` (string, optional) - `valid` (enum, optional) - Allowed values: `VALID`, `NOT_VALID`, `UNKNOWN` - `message` (string, optional, nullable) ### RoleChildRolesItems ## Examples **Request** ```json { "customer_id": "cust_AbD3DqausjOYiMNDZY11F", "owner_user_id": "user_VeQsy1Klk6crS5QQ1Zr4", "template_id": "qute_UdPrx9Jkj5bqR4RR9Yq3" } ``` **Response** ```json { "object_type": "QUOTE", "id": "quot_WfRtz2Lml7dsT6PP2As5", "created_at": "2026-07-02T09:20:00Z", "updated_at": "2026-07-02T09:20:00Z", "status": "DRAFT", "customer_id": "cust_AbD3DqausjOYiMNDZY11F", "owner_user_id": "user_VeQsy1Klk6crS5QQ1Zr4", "quote_version_infos": [ { "version": 1, "id": "quve_XgSua3Mnm8etU7NN3Bt6", "status": "DRAFT", "pricing_plan_subscription_id": "ppsu_YhTvb4Non9fuV8MM4Cu7" } ], "template_id": "qute_UdPrx9Jkj5bqR4RR9Yq3" } ``` **SDK Code** ```python import requests url = "https://test.api.solvimon.com/v1/quotes" payload = { "customer_id": "cust_AbD3DqausjOYiMNDZY11F", "owner_user_id": "user_VeQsy1Klk6crS5QQ1Zr4", "template_id": "qute_UdPrx9Jkj5bqR4RR9Yq3" } headers = { "X-API-KEY": "", "Content-Type": "application/json" } response = requests.post(url, json=payload, headers=headers) print(response.json()) ``` ```javascript const url = 'https://test.api.solvimon.com/v1/quotes'; const options = { method: 'POST', headers: {'X-API-KEY': '', 'Content-Type': 'application/json'}, body: '{"customer_id":"cust_AbD3DqausjOYiMNDZY11F","owner_user_id":"user_VeQsy1Klk6crS5QQ1Zr4","template_id":"qute_UdPrx9Jkj5bqR4RR9Yq3"}' }; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://test.api.solvimon.com/v1/quotes" payload := strings.NewReader("{\n \"customer_id\": \"cust_AbD3DqausjOYiMNDZY11F\",\n \"owner_user_id\": \"user_VeQsy1Klk6crS5QQ1Zr4\",\n \"template_id\": \"qute_UdPrx9Jkj5bqR4RR9Yq3\"\n}") req, _ := http.NewRequest("POST", url, payload) req.Header.Add("X-API-KEY", "") req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://test.api.solvimon.com/v1/quotes") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Post.new(url) request["X-API-KEY"] = '' request["Content-Type"] = 'application/json' request.body = "{\n \"customer_id\": \"cust_AbD3DqausjOYiMNDZY11F\",\n \"owner_user_id\": \"user_VeQsy1Klk6crS5QQ1Zr4\",\n \"template_id\": \"qute_UdPrx9Jkj5bqR4RR9Yq3\"\n}" response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.post("https://test.api.solvimon.com/v1/quotes") .header("X-API-KEY", "") .header("Content-Type", "application/json") .body("{\n \"customer_id\": \"cust_AbD3DqausjOYiMNDZY11F\",\n \"owner_user_id\": \"user_VeQsy1Klk6crS5QQ1Zr4\",\n \"template_id\": \"qute_UdPrx9Jkj5bqR4RR9Yq3\"\n}") .asString(); ``` ```php request('POST', 'https://test.api.solvimon.com/v1/quotes', [ 'body' => '{ "customer_id": "cust_AbD3DqausjOYiMNDZY11F", "owner_user_id": "user_VeQsy1Klk6crS5QQ1Zr4", "template_id": "qute_UdPrx9Jkj5bqR4RR9Yq3" }', 'headers' => [ 'Content-Type' => 'application/json', 'X-API-KEY' => '', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://test.api.solvimon.com/v1/quotes"); var request = new RestRequest(Method.POST); request.AddHeader("X-API-KEY", ""); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{\n \"customer_id\": \"cust_AbD3DqausjOYiMNDZY11F\",\n \"owner_user_id\": \"user_VeQsy1Klk6crS5QQ1Zr4\",\n \"template_id\": \"qute_UdPrx9Jkj5bqR4RR9Yq3\"\n}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = [ "X-API-KEY": "", "Content-Type": "application/json" ] let parameters = [ "customer_id": "cust_AbD3DqausjOYiMNDZY11F", "owner_user_id": "user_VeQsy1Klk6crS5QQ1Zr4", "template_id": "qute_UdPrx9Jkj5bqR4RR9Yq3" ] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://test.api.solvimon.com/v1/quotes")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "POST" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```